# Makefile.in generated by automake 1.8.3 from Makefile.am.
# lib/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Automakefile for GNU Diffutils library.

# Copyright (C) 2001, 2002, 2004 Free Software Foundation, Inc.


SOURCES = $(libdiffutils_a_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/diffutils
pkglibdir = $(libdir)/diffutils
pkgincludedir = $(includedir)/diffutils
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /dev/env/DJDIR/bin/ginstall -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i386-pc-msdosdjgpp
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/gnulib.mk alloca.c error.c \
	error.h fnmatch.c gettimeofday.c malloc.c mkstemp.c realloc.c \
	regex.c setmode.c strcasecmp.c strncasecmp.c strtoimax.c \
	strtol.c strtoll.c strtoul.c strtoull.c strtoumax.c tempname.c \
	time_r.c waitpid.c
subdir = lib
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/alloca.m4 \
	$(top_srcdir)/m4/c-stack.m4 $(top_srcdir)/m4/dirname.m4 \
	$(top_srcdir)/m4/dos.m4 $(top_srcdir)/m4/error.m4 \
	$(top_srcdir)/m4/exclude.m4 $(top_srcdir)/m4/exitfail.m4 \
	$(top_srcdir)/m4/extensions.m4 $(top_srcdir)/m4/file-type.m4 \
	$(top_srcdir)/m4/fnmatch.m4 $(top_srcdir)/m4/getopt.m4 \
	$(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/gettimeofday.m4 \
	$(top_srcdir)/m4/gnu-source.m4 $(top_srcdir)/m4/gnulib.m4 \
	$(top_srcdir)/m4/hard-locale.m4 $(top_srcdir)/m4/iconv.m4 \
	$(top_srcdir)/m4/intmax_t.m4 $(top_srcdir)/m4/inttostr.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/mbstate_t.m4 \
	$(top_srcdir)/m4/mkstemp.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/onceonly.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/posixver.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/m4/regex.m4 $(top_srcdir)/m4/restrict.m4 \
	$(top_srcdir)/m4/setmode.m4 $(top_srcdir)/m4/st_mtim.m4 \
	$(top_srcdir)/m4/stdbool.m4 $(top_srcdir)/m4/stdint_h.m4 \
	$(top_srcdir)/m4/strcase.m4 $(top_srcdir)/m4/strftime.m4 \
	$(top_srcdir)/m4/strtoimax.m4 $(top_srcdir)/m4/strtol.m4 \
	$(top_srcdir)/m4/strtoll.m4 $(top_srcdir)/m4/strtoul.m4 \
	$(top_srcdir)/m4/strtoull.m4 $(top_srcdir)/m4/strtoumax.m4 \
	$(top_srcdir)/m4/time_r.m4 $(top_srcdir)/m4/tm_gmtoff.m4 \
	$(top_srcdir)/m4/tzset.m4 $(top_srcdir)/m4/uintmax_t.m4 \
	$(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/m4/unlocked-io.m4 \
	$(top_srcdir)/m4/vararrays.m4 $(top_srcdir)/m4/xalloc.m4 \
	$(top_srcdir)/m4/xstrtol.m4 $(top_srcdir)/m4/xstrtoumax.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
AR = ar
ARFLAGS = cru
LIBRARIES = $(noinst_LIBRARIES)
libdiffutils_a_AR = $(AR) $(ARFLAGS)
am__objects_1 = cmpbuf.$(OBJEXT) prepargs.$(OBJEXT) quotesys.$(OBJEXT) \
	c-stack.$(OBJEXT) dirname.$(OBJEXT) basename.$(OBJEXT) \
	stripslash.$(OBJEXT) exclude.$(OBJEXT) exitfail.$(OBJEXT) \
	file-type.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT) \
	hard-locale.$(OBJEXT) imaxtostr.$(OBJEXT) offtostr.$(OBJEXT) \
	umaxtostr.$(OBJEXT) posixver.$(OBJEXT) strftime.$(OBJEXT) \
	version-etc.$(OBJEXT) xmalloc.$(OBJEXT) xstrdup.$(OBJEXT) \
	xstrtol.$(OBJEXT) xstrtoul.$(OBJEXT) xstrtoumax.$(OBJEXT)
am_libdiffutils_a_OBJECTS = $(am__objects_1)
libdiffutils_a_OBJECTS = $(am_libdiffutils_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
#DEP_FILES = $(DEPDIR)/alloca.Po $(DEPDIR)/error.Po \
#	$(DEPDIR)/fnmatch.Po $(DEPDIR)/gettimeofday.Po \
#	$(DEPDIR)/malloc.Po $(DEPDIR)/mkstemp.Po \
#	$(DEPDIR)/realloc.Po $(DEPDIR)/regex.Po \
#	$(DEPDIR)/setmode.Po $(DEPDIR)/strcasecmp.Po \
#	$(DEPDIR)/strncasecmp.Po $(DEPDIR)/strtoimax.Po \
#	$(DEPDIR)/strtol.Po $(DEPDIR)/strtoll.Po \
#	$(DEPDIR)/strtoul.Po $(DEPDIR)/strtoull.Po \
#	$(DEPDIR)/strtoumax.Po $(DEPDIR)/tempname.Po \
#	$(DEPDIR)/time_r.Po $(DEPDIR)/waitpid.Po \
#	./$(DEPDIR)/basename.Po ./$(DEPDIR)/c-stack.Po \
#	./$(DEPDIR)/cmpbuf.Po ./$(DEPDIR)/dirname.Po \
#	./$(DEPDIR)/exclude.Po ./$(DEPDIR)/exitfail.Po \
#	./$(DEPDIR)/file-type.Po ./$(DEPDIR)/getopt.Po \
#	./$(DEPDIR)/getopt1.Po ./$(DEPDIR)/hard-locale.Po \
#	./$(DEPDIR)/imaxtostr.Po ./$(DEPDIR)/offtostr.Po \
#	./$(DEPDIR)/posixver.Po ./$(DEPDIR)/prepargs.Po \
#	./$(DEPDIR)/quotesys.Po ./$(DEPDIR)/strftime.Po \
#	./$(DEPDIR)/stripslash.Po ./$(DEPDIR)/umaxtostr.Po \
#	./$(DEPDIR)/version-etc.Po ./$(DEPDIR)/xmalloc.Po \
#	./$(DEPDIR)/xstrdup.Po ./$(DEPDIR)/xstrtol.Po \
#	./$(DEPDIR)/xstrtoul.Po ./$(DEPDIR)/xstrtoumax.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libdiffutils_a_SOURCES)
DIST_SOURCES = $(libdiffutils_a_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} ${top_srcdir}/config/missing --run aclocal-1.8
ALLOCA = 
ALLOCA_H = alloca.h
AMDEP_FALSE = 
AMDEP_TRUE = #
AMTAR = ${SHELL} ${top_srcdir}/config/missing --run tar
AUTOCONF = ${SHELL} ${top_srcdir}/config/missing --run autoconf
AUTOHEADER = ${SHELL} ${top_srcdir}/config/missing --run autoheader
AUTOMAKE = ${SHELL} ${top_srcdir}/config/missing --run automake-1.8
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFAULT_POSIX2_VERSION = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = _deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = .exe
FNMATCH_H = fnmatch.h
GMSGFMT = :
HAVE__BOOL = 1
HELP2MAN = ${SHELL} ${top_srcdir}/config/missing --run help2man
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INTLLIBS = 
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS =  error$U.o fnmatch$U.o regex$U.o strtoimax$U.o strtoumax$U.o time_r$U.o setmode$U.o
LIBS = 
LIB_CLOCK_GETTIME = 
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS =  error$U.lo fnmatch$U.lo regex$U.lo strtoimax$U.lo strtoumax$U.lo time_r$U.lo setmode$U.lo
MAKEINFO = makeinfo
MKINSTALLDIRS = $(top_builddir)/config/mkinstalldirs
MSGFMT = /dev/env/DJDIR/bin/msgfmt
MSGMERGE = :
OBJEXT = o
PACKAGE = diffutils
PACKAGE_BUGREPORT = bug-gnu-utils@gnu.org
PACKAGE_NAME = GNU diffutils
PACKAGE_STRING = GNU diffutils 2.8.7
PACKAGE_TARNAME = diffutils
PACKAGE_VERSION = 2.8.7
PATH_SEPARATOR = :
POSUB = 
PR_PROGRAM = /dev/env/DJDIR/bin/pr.exe
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STDBOOL_H = 
STRIP = 
USE_NLS = no
VERSION = 2.8.7
XGETTEXT = AWK='gawk' $(SHELL) $(top_srcdir)/exgettext :
ac_ct_CC = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i386-pc-msdosdjgpp
build_alias = 
build_cpu = i386
build_os = msdosdjgpp
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i386-pc-msdosdjgpp
host_alias = 
host_cpu = i386
host_os = msdosdjgpp
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = ${top_srcdir}/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p -- .
oldincludedir = /usr/include
prefix = /dev/env/DJDIR
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
noinst_LIBRARIES = libdiffutils.a
noinst_HEADERS = cmpbuf.h prepargs.h quotesys.h
libdiffutils_a_SOURCES = $(lib_SOURCES)
lib_SOURCES = cmpbuf.c prepargs.c quotesys.c c-stack.h c-stack.c dirname.h dirname.c basename.c stripslash.c exclude.h exclude.c exit.h exitfail.h exitfail.c file-type.h file-type.c getopt.h getopt.c getopt1.c getopt_int.h gettext.h hard-locale.h hard-locale.c imaxtostr.c inttostr.h offtostr.c umaxtostr.c posixver.h posixver.c regex.h strcase.h strftime.c time_r.h unlocked-io.h version-etc.h version-etc.c xalloc.h xmalloc.c xstrdup.c xstrtol.h xstrtol.c xstrtoul.c xstrtoumax.c
libdiffutils_a_LIBADD =   error$U.o fnmatch$U.o regex$U.o strtoimax$U.o strtoumax$U.o time_r$U.o setmode$U.o
libdiffutils_a_DEPENDENCIES = $(libdiffutils_a_LIBADD)

# This file is generated automatically by "bootstrap".
BUILT_SOURCES = $(ALLOCA_H) $(FNMATCH_H) $(STDBOOL_H)
DISTCLEANFILES = 
EXTRA_DIST = setmode.h waitpid.c alloca_.h fnmatch_.h fnmatch_loop.c inttostr.c stdbool_.h
MOSTLYCLEANFILES = alloca.h alloca.h-t fnmatch.h fnmatch.h-t stdbool.h stdbool.h-t
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/gnulib.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits  lib/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnits  lib/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libdiffutils.a: $(libdiffutils_a_OBJECTS) $(libdiffutils_a_DEPENDENCIES) 
	-rm -f libdiffutils.a
	$(libdiffutils_a_AR) libdiffutils.a $(libdiffutils_a_OBJECTS) $(libdiffutils_a_LIBADD)
	$(RANLIB) libdiffutils.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *_tab.c

#include $(DEPDIR)/alloca.Po
#include $(DEPDIR)/error.Po
#include $(DEPDIR)/fnmatch.Po
#include $(DEPDIR)/gettimeofday.Po
#include $(DEPDIR)/malloc.Po
#include $(DEPDIR)/mkstemp.Po
#include $(DEPDIR)/realloc.Po
#include $(DEPDIR)/regex.Po
#include $(DEPDIR)/setmode.Po
#include $(DEPDIR)/strcasecmp.Po
#include $(DEPDIR)/strncasecmp.Po
#include $(DEPDIR)/strtoimax.Po
#include $(DEPDIR)/strtol.Po
#include $(DEPDIR)/strtoll.Po
#include $(DEPDIR)/strtoul.Po
#include $(DEPDIR)/strtoull.Po
#include $(DEPDIR)/strtoumax.Po
#include $(DEPDIR)/tempname.Po
#include $(DEPDIR)/time_r.Po
#include $(DEPDIR)/waitpid.Po
#include ./$(DEPDIR)/basename.Po
#include ./$(DEPDIR)/c-stack.Po
#include ./$(DEPDIR)/cmpbuf.Po
#include ./$(DEPDIR)/dirname.Po
#include ./$(DEPDIR)/exclude.Po
#include ./$(DEPDIR)/exitfail.Po
#include ./$(DEPDIR)/file-type.Po
#include ./$(DEPDIR)/getopt.Po
#include ./$(DEPDIR)/getopt1.Po
#include ./$(DEPDIR)/hard-locale.Po
#include ./$(DEPDIR)/imaxtostr.Po
#include ./$(DEPDIR)/offtostr.Po
#include ./$(DEPDIR)/posixver.Po
#include ./$(DEPDIR)/prepargs.Po
#include ./$(DEPDIR)/quotesys.Po
#include ./$(DEPDIR)/strftime.Po
#include ./$(DEPDIR)/stripslash.Po
#include ./$(DEPDIR)/umaxtostr.Po
#include ./$(DEPDIR)/version-etc.Po
#include ./$(DEPDIR)/xmalloc.Po
#include ./$(DEPDIR)/xstrdup.Po
#include ./$(DEPDIR)/xstrtol.Po
#include ./$(DEPDIR)/xstrtoul.Po
#include ./$(DEPDIR)/xstrtoumax.Po

.c.o:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c $<

.c.obj:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no 
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' 
#	$(CCDEPMODE) $(depcomp) 
	$(COMPILE) -c `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(LIBRARIES) $(HEADERS)
installdirs:
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-noinstLIBRARIES mostlyclean-am

distclean: distclean-am
	-rm -rf $(DEPDIR) ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf $(DEPDIR) ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-noinstLIBRARIES ctags distclean distclean-compile \
	distclean-generic distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am


# We need the following in order to create an <alloca.h> when the system
# doesn't have one that works with the given compiler.
all-local $(lib_OBJECTS): $(ALLOCA_H)
alloca.h: alloca_.h
	cp $(srcdir)/alloca_.h $@-t
	mv $@-t $@

# We need the following in order to create an <fnmatch.h> when the system
# doesn't have one that supports the required API.
all-local $(lib_OBJECTS): $(FNMATCH_H)
fnmatch.h: fnmatch_.h
	cp $(srcdir)/fnmatch_.h $@-t
	mv $@-t $@

# We need the following in order to create an <stdbool.h> when the system
# doesn't have one that works.
all-local $(lib_OBJECTS): $(STDBOOL_H)
stdbool.h: stdbool_.h
	sed -e 's/@''HAVE__BOOL''@/$(HAVE__BOOL)/g' < $(srcdir)/stdbool_.h > $@-t
	mv $@-t $@
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
